# WOK
TKWOK
WOKStep

# WOKStep_WNTLink Class Reference

`#include <WOKStep_WNTLink.hxx>`

Inheritance diagram for WOKStep_WNTLink:

[legend]

## Public Member Functions

Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&anExecList)
| executes a tool
Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&anItem)
| adds a file in list if the file is input for step
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKStep_WNTLink (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aUnit, const Handle(TCollection_HAsciiString)&aCode, const Standard_Boolean checked, const Standard_Boolean hidden)
| provides initialization
virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfLibrary | ComputeLibraryList (const Handle(WOKMake_HSequenceOfInputFile)&anInput)=0
| computes library list to build a target
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ComputeExternals (const Handle(WOKMake_HSequenceOfInputFile)&anInput)
| computes list of external files

## Protected Attributes

Handle_TCollection_HAsciiString | myTarget

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_WNTLink::WOKStep_WNTLink | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aUnit,
|  | const Handle(TCollection_HAsciiString)& | aCode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKStep_WNTLink::ComputeExternals | ( | const Handle(WOKMake_HSequenceOfInputFile)& | anInput | ) | `[protected, virtual]`

virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfLibrary WOKStep_WNTLink::ComputeLibraryList | ( | const Handle(WOKMake_HSequenceOfInputFile)& | anInput | ) | `[protected, pure virtual]`

| Implemented in WOKStep_DLLink, and WOKStep_EXELink.

Standard_EXPORT void WOKStep_WNTLink::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | anExecList | ) | `[virtual]`

| Implements WOKMake_Step.

Standard_EXPORT const WOKStep_WNTLink::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_WNTCollect. Reimplemented in WOKStep_DLLink, and WOKStep_EXELink.

Standard_EXPORT Standard_Boolean WOKStep_WNTLink::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | anItem | ) | `[virtual]`

| Implements WOKMake_Step.

## Field Documentation

Handle_TCollection_HAsciiString WOKStep_WNTLink::myTarget `[protected]`

The documentation for this class was generated from the following file:

- WOKStep_WNTLink.hxx